Skip to main content

DIN from PAN API

This document highlights the DIN from PAN API details.

API Description

Objective

The DIN from PAN API facilitates the retrieval of a Director Identification Number (DIN) from a Permanent Account Number (PAN).

InputOutput
The 10-digit PAN of the userThe details corresponding to the user such as name, address, tax status, and more.

API URL

https://ind-engine.thomas.hyperverge.co/v1/dinFromPan

API Endpoint

dinFromPan

Overview

The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Authentication

You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.

ParameterMandatory or OptionalDescriptionAllowed Values
content-type MandatoryThis parameter defines the media type for the request payloadapplication/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
transactionIdMandatoryA unique identifier for tracking a user journeyThis should be both unique and easily associated with the user's journey in your application(s)

Input

The following table outlines the parameter required in the API's request body:

ParameterDescriptionMandatory or OptionalAllowed ValuesDefault Value
panNumberThe PAN of the user, which is a unique identifier for taxpayers in IndiaMandatoryFormat: 'CCCCCDDDDC' format, where 'C' represents a character and 'D' represents a digitNot Applicable

Request

The following code snippet demonstrates a standard curl request for the API:

curl --location --request POST 'https://ind.thomas.hyperverge.co/v1/dinFromPan' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"panNumber": "<Enter_the_PAN>"
}'

Success Response

The following code snippet demonstrates a success response from the API:

{
"status": "success",
"statusCode": "200",
"result": {
"message": "<Message_About_The_Result>",
"details": {
"panNumber": "<Masked_PAN_Number>",
"dinNumber": "<Masked_DIN_Number>",
"dinStatus": "<DIN_Status>",
"firstName": "<First_Name_Of_The_user>",
"middleName": "<Middle_Name_Of_The_user_If_Available>",
"lastName": "<Last_Name_Of_The_user>",
"dateOfBirth": "<Date_Of_Birth_in_DD-MMM-YYYY_Format>",
"fatherFirstName": "<Father's_First_Name>",
"fatherMiddleName": "<Father's_Middle_Name_If_Available>",
"fatherLastName": "<Father's_Last_Name>",
"residentOfIndia": "<Is_Resident_Of_India_Y/N>",
"membershipNumber": "<Membership_Number_If_Available>"
}
},
"metaData": {
"requestId": "<Unique_Request_Identifier>",
"transactionId": "<Unique_Transaction_Identifier>"
}
}

Success Response Details

ParameterTypeDescription
statusstringThe status of the request
statusCodeintegerThe HTTP status code of the response
messagestringThe result message of the request
panNumberstringThe PAN of the user
dinNumberstringThe DIN of the user
dinStatusstringThe status of the DIN
firstNamestringThe first name of the user
middleNamestringThe middle name of the user
lastNamestringThe last name of the user
dateOfBirthstringThe date of birth of the user in DD-MMM-YYYY format (the first three letters of the month's name are returned, e.g., NOV)
fatherFirstNamestringThe first name of the user's father
fatherMiddleNamestringThe middle name of the user's father
fatherLastNamestringThe last name of the user's father
residentOfIndiastringIndicates whether the user is a resident of India (Y/N)
membershipNumberstringThe membership number of the user
requestIdstringThe unique identifier for the request
transactionIdstringThe transaction ID associated with the request

Failure Response

The following is a failure response from the API:

{
"status": "failure",
"statusCode": 404,
"result": {
"message": "Din Not Found"
},
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}

Error Responses

The following are the error responses from the API:

{
"message": "Invalid Pan format",
"statusCode": 400,
"status": "failure",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}

Failure and Error Response Details

A failure or error response from the module contains a failure status, with a relevant status code and error message. The following table lists all error responses:

Status CodeError MessageError Description
400Missing required request parametersSome mandatory request parameters are missing in the API request made.
400Invalid Pan formatThe 10-digit PAN is not in the CCCCCDDDDC format
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid values
403Access DeniedPlease contact the HyperVerge team for resolution
404Din Not FoundThe request has an invalid DIN that yielded no match in the database
500Internal Server ErrorPlease check the request headers or contact the HyperVerge team for resolution
503External DowntimePlease contact the HyperVerge team for resolution
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: